commit 56170e064e2b21ce204f0817733e92f1730541ea
Author: Igor Gnatenko <ignatenko@redhat.com>
Date:   Wed Feb 7 13:53:10 2018 +0100

    Linux: use reserved name __key in pkey_get [BZ #22797]
    
    _key is not reserved name and we should avoid using that. It seems that
    it was simple typo when pkey_* was implemented.
    
    (cherry picked from commit 388ff7bd0d57d7061fdd39a2f26f65687e8058da)

diff --git a/ChangeLog b/ChangeLog
index 65ebfbcb52..cfe43e3bc0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2018-02-07  Igor Gnatenko  <ignatenko@redhat.com>
+
+	[BZ #22797]
+	* sysdeps/unix/sysv/linux/bits/mman-shared.h (pkey_get): Add
+	missing second underscore to parameter name.
+
 2018-02-05  H.J. Lu  <hongjiu.lu@intel.com>
 
 	[BZ #22638]
diff --git a/NEWS b/NEWS
index 4bb08b1dbf..1e4cb10612 100644
--- a/NEWS
+++ b/NEWS
@@ -11,6 +11,7 @@ The following bugs are resolved with this release:
 
   [22638] sparc: static binaries are broken if glibc is built by gcc
     configured with --enable-default-pie
+  [22797] Linux: use reserved name __key in pkey_get
 
 
 Version 2.27
diff --git a/sysdeps/unix/sysv/linux/bits/mman-shared.h b/sysdeps/unix/sysv/linux/bits/mman-shared.h
index 7715e680ca..d15ba95c9d 100644
--- a/sysdeps/unix/sysv/linux/bits/mman-shared.h
+++ b/sysdeps/unix/sysv/linux/bits/mman-shared.h
@@ -61,7 +61,7 @@ int pkey_set (int __key, unsigned int __access_rights) __THROW;
 
 /* Return the access rights for the current thread for KEY, which must
    have been allocated using pkey_alloc.  */
-int pkey_get (int _key) __THROW;
+int pkey_get (int __key) __THROW;
 
 /* Free an allocated protection key, which must have been allocated
    using pkey_alloc.  */

